/*****************************************************************************
 *	aisa41w.h
 *
 *	aISA-P41
 *
 *	Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.
 *
 *	Date 1998/05/20
 *
 *****************************************************************************/
#ifndef __AISA41__
#define __AISA41__

#include "aisa41.h"

#ifdef __cplusplus
extern "C"{
#endif

#define AISA41_DLL_NAME	  _T("aisa41.dll")	// DLL
#define AISA41_MAX_PORT		8				// aISA-P41̃|[g
#define AISA41_ERR_WRAPDLL ((DWORD)-1)		// bp[֐G[

// DLL [h
BOOL Aisa41wDllOpen ( void );

// DLL A[h
BOOL Aisa41wDllClose ( void );

// aISA-P41 DLL,Driver̃o[Wԍ擾
BOOL Aisa41wGetVersion ( PDWORD pdwDllVer, PDWORD pdwDrvVer );

// CӂaISA-P41̎gp錾
BOOL Aisa41wCreate(PWORD pwLogSlot);

// CӂaISA-P41̎gpJ
BOOL Aisa41wClose ( WORD wLogSlot );

// \[X擾
BOOL Aisa41wGetResource ( WORD wLogSlot, PAISA41R pResInfo );

// Cӂ̃|[gf[^
BOOL Aisa41wInPort ( WORD wLogSlot, DWORD dwPort, PBYTE pbInValue );

// Cӂ̃|[gփf[^o
BOOL Aisa41wOutPort ( WORD wLogSlot, DWORD dwPort, BYTE bOutValue );

// |[gf[^̐ݒ
BOOL Aisa41wSetDirections ( WORD wLogSlot, DWORD dwPort );

// aISA-P41̃G[R[h
DWORD Aisa41wGetLastError ( WORD wLogSlot );

#ifdef __cplusplus
}
#endif
#endif // __AISA41__
